package fr.univlehavre.entree;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class PersonneTest {

	@Test
	void testToString() {
		Personne p = new Personne("Potter", new String[]{"Prince", "Edouard"}, Genre.HOMME, null, null, "Sorcier");
		String abregee1 = p.toString(Presentation.ABREGE, Sens.NOM_PRENOMS);
		String abregee2 = p.toString(Presentation.ABREGE, Sens.PRENOMS_NOM);
		String simple = p.toString(Presentation.SIMPLE, Sens.NOM_PRENOMS);
		String complete = p.toString(Presentation.COMPLET, Sens.NOM_PRENOMS);

		assertEquals(abregee1, "Potter P. E. ", "Test abregee 1 NOM_PRENOMS");
		assertEquals(abregee2, "P. E. Potter", "Test abregee 2 PRENOMS_NOM");
		assertEquals(simple, "M. Prince E. (Sorcier)", "Test simple NOM_PRENOMS");
		assertEquals(complete, "M. Prince Edouard Potter", "Test complete NOM_PRENOMS");
	}
}
